{ config, pkgs, lib, ... }: {
  boot.initrd.luks.devices = {
    "root".device = "/dev/disk/by-uuid/660b61d1-971d-4acc-9577-68a491eaf63b";
    "swap".device = "/dev/disk/by-uuid/350eebba-6641-46a0-be1d-a7197157b704";
  };

  fileSystems = {
    "/" = {
      device = "/dev/mapper/root";
      fsType = "btrfs";
      options = [ "subvol=nixos" ];
    };
    "/home" = {
      device = "/dev/mapper/root";
      fsType = "btrfs";
      options = [ "subvol=home" ];
    };
    "/boot" = {
      device = "/dev/disk/by-uuid/F2EF-1BBF";
      fsType = "vfat";
    };
  };

  swapDevices = [{ device = "/dev/mapper/swap"; }];

  # Use the systemd-boot EFI boot loader.
  boot.loader.systemd-boot.enable = true;
  boot.loader.efi.canTouchEfiVariables = true;

}
